TapisImpl

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class TapisImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.TapisImpl

All Implemented Interfaces:
  ITapis, java.io.Serializable, java.rmi.Remote

    public class TapisImpl

extends java.rmi.server.UnicastRemoteObject
implements ITapis

Classe Tapis

See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList<ICarte>` | `tapis` Le tapis a proprement dit

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`TapisImpl(IPioche p)` Constructeur du tapis a partir de la pioche

Method Summary
`void` | `add()` Ajoute une carte au tapis La carte vient de la pioche
`void` | `add(ICarte c)` Ajoute une carte au tapis La carte est passe en parametre
`java.lang.String` | `affiche()` Affiche toutes les cartes contenues par le tapis
`ICarte` | `get(ICarte c)` Retourne la carte passe en parametre
`ICarte` | `get(int i)` Retourne la carte a l'indice passe en parametre
`boolean` | `remove(ICarte c)` Permet de retirer une carte du tapis
`boolean` | `remove(int i)` Retire la carte a l'indice passe en parametre
`boolean` | `removeAll(java.util.ArrayList<ICarte> array)` Permet de retirer toutes les cartes dans l'arrayList du tapis concerne
`int` | `size()` Retourne la taille du tapis
`int` | `somme()` Calcul la somme des valeurs des cartes se trouvant sur le tapis

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### tapis

    private java.util.ArrayList<ICarte> tapis

  Le tapis a proprement dit

Constructor Detail

### TapisImpl

    public TapisImpl(IPioche p)
              throws java.rmi.RemoteException

  Constructeur du tapis a partir de la pioche

  Parameters:
    `p` - , pioche a partir de laquelle on piochera
  Throws:
    `java.rmi.RemoteException`

Method Detail

### removeAll

    public boolean removeAll(java.util.ArrayList<ICarte> array)
                      throws java.rmi.RemoteException

  Permet de retirer toutes les cartes dans l'arrayList du tapis concerne

  Specified by:
    `removeAll` in interface `ITapis`
  Parameters:
    `array` - , arraylist de cartes a enlever
  Throws:
    `java.rmi.RemoteException`

### remove

    public boolean remove(ICarte c)
                   throws java.rmi.RemoteException

  Permet de retirer une carte du tapis

  Specified by:
    `remove` in interface `ITapis`
  Parameters:
    `c` - , carte a enlever
  Throws:
    `java.rmi.RemoteException`

### remove

    public boolean remove(int i)
                   throws java.rmi.RemoteException

  Retire la carte a l'indice passe en parametre

  Specified by:
    `remove` in interface `ITapis`
  Parameters:
    `i` - , indice de la carte a enlever
  Throws:
    `java.rmi.RemoteException`

### add

    public void add()
             throws java.rmi.RemoteException

  Ajoute une carte au tapis La carte vient de la pioche

  Specified by:
    `add` in interface `ITapis`
  Throws:
    `java.rmi.RemoteException`

### add

    public void add(ICarte c)
             throws java.rmi.RemoteException

  Ajoute une carte au tapis La carte est passe en parametre

  Specified by:
    `add` in interface `ITapis`
  Parameters:
    `c` - , carte a ajouter
  Throws:
    `java.rmi.RemoteException`

### somme

    public int somme()
              throws java.rmi.RemoteException

  Calcul la somme des valeurs des cartes se trouvant sur le tapis

  Specified by:
    `somme` in interface `ITapis`
  Throws:
    `java.rmi.RemoteException`

### get

    public ICarte get(int i)
               throws java.rmi.RemoteException

  Retourne la carte a l'indice passe en parametre

  Specified by:
    `get` in interface `ITapis`
  Throws:
    `java.rmi.RemoteException`

### get

    public ICarte get(ICarte c)
               throws java.rmi.RemoteException

  Retourne la carte passe en parametre

  Specified by:
    `get` in interface `ITapis`
  Throws:
    `java.rmi.RemoteException`

### size

    public int size()
             throws java.rmi.RemoteException

  Retourne la taille du tapis

  Specified by:
    `size` in interface `ITapis`
  Throws:
    `java.rmi.RemoteException`

### affiche

    public java.lang.String affiche()
                             throws java.rmi.RemoteException

  Affiche toutes les cartes contenues par le tapis

  Specified by:
    `affiche` in interface `ITapis`
  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD